Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authentication
Interface UserPasswordEditorMBean

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, DefaultAuthenticatorMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean, UserEditorMBean

public interface UserPasswordEditorMBean
extends weblogic.management.commo.StandardInterface

Provides two methods for changing a user's password. An Authentication provider MBean can optionally implement this MBean. The WebLogic Server Administration Console detects when an Authentication provider implements this MBean and automatically provides a tab for using these methods.

Note: A code example has been added that shows how to use the Servlet run-as tag, administrative privileges, and security provider MBeans to allow a user to change their own password. This code example is available on the Internet at http://dev2dev.bea.com/codelibrary/code/pwchange.jsp.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `changeUserPassword(java.lang.String userName, java.lang.String oldPassword, java.lang.String newPassword)` Used by a user to change his or her password.
`void` | `resetUserPassword(java.lang.String userName, java.lang.String newPassword)` Used by an administrator to change a user's password.

Methods inherited from interface weblogic.management.commo.StandardInterface
`wls_getAttributeTag, wls_getConstructorTag, wls_getDisplayName, wls_getInterfaceClassName, wls_getMBeanTag, wls_getNotificationTag, wls_getObjectName, wls_getOperationTag, wls_instanceOf`

Method Detail

### changeUserPassword

    public void changeUserPassword(java.lang.String userName,
                                   java.lang.String oldPassword,
                                   java.lang.String newPassword)
                            throws NotFoundException,
                                   InvalidParameterException

  Used by a user to change his or her password.

  Parameters:
    `userName` - - The name of an existing user.
    `oldPassword` - - The current password for the user.
    `newPassword` - - The new password for the user. The Authentication provider determines the syntax requirements for passwords.
  Throws:
    NotFoundException -
    InvalidParameterException -

### resetUserPassword

    public void resetUserPassword(java.lang.String userName,
                                  java.lang.String newPassword)
                           throws NotFoundException,
                                  InvalidParameterException

  Used by an administrator to change a user's password.

  Parameters:
    `userName` - - The name of an existing user.
    `newPassword` - - The new password for the user. The Authentication provider determines the syntax requirements for passwords.
  Throws:
    NotFoundException -
    InvalidParameterException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD